<?php
namespace Inti\Gath\Api;

/**
 * Klijent za pristup Gathovom 'REST' servisu.
 *
 * @package Inti\Gath\Api
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 */
interface ClientInterface
{
    /**
     * Upućuje zahtjev prema Gathu i vraća odgovor kao array.
     *
     * @param string $method
     * @param string $path
     * @param array $params
     *
     * @return array
     */
    public function request(string $method, string $path, array $params = []): array;
}
