<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Result\GetProductCategoriesResult;

/**
 * Class GetFeaturedCategories
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @method GetProductCategoriesResult call()
 */
final class GetFeaturedCategories extends AbstractEndpoint
{
    /** @var string */
    protected $method = 'GET';
    /** @var string */
    protected $path = 'category/featured';
    /** @var string */
    protected $resultClass = GetProductCategoriesResult::class;
}
