<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Query\QueryInterface;
use Inti\Gath\Api\Result\GetMotoModelsResult;

/**
 * Class GetMotoModels
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @method GetMotoModelsResult call(QueryInterface $query)
 */
abstract class GetMotoModels extends AbstractEndpoint
{
    /** @var string */
    protected $method = 'POST';
    /** @var string */
    protected $path = 'moto/models';
    /** @var string */
    protected $resultClass = GetMotoModelsResult::class;
}
