<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Result\GetProductAttributesResult;

/**
 * Dohvaća svojstva i sve njihove moguće vrijednosti.
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 *
 * @method GetProductAttributesResult call()
 */
final class GetProductAttributes extends AbstractEndpoint
{
    /** @var string */
    protected $method = 'GET';
    /** @var string */
    protected $path = 'product/attributes';
    /** @var string */
    protected $resultClass = GetProductAttributesResult::class;
}
