<?php
namespace Inti\Gath\Api\Endpoint\Service;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class EndpointManagerFactory
 *
 * @package Inti\Gath\Api\Endpoint\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 */
final class EndpointManagerFactory implements FactoryInterface
{
    /**
     * @inheritDoc
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        return new EndpointManager($container);
    }
}
