<?php
namespace Inti\Gath\Api\Query;

/**
 * Class AttributeValue
 *
 * @package Inti\Gath\Api\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 */
final class AttributeValue
{
    /** @var int */
    public $id;
    /** @var string[] */
    public $values;

    /**
     * AttributeValue constructor.
     * @param int $id
     * @param string[]|string $values
     */
    public function __construct(int $id, $values)
    {
        $this->id = $id;
        $this->values = (array) $values;
    }
}
