<?php
namespace Inti\Gath\Api\Query;

/**
 * Pretražuje cijene proizvoda.
 *
 * @package Inti\Gath\Api\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 *
 * @property string     $Username           Korisnik za kojeg tražimo cijene (za veleprodaju).
 * @property string[]   $Codes              Šifre proizvoda za koje tražimo cijene.
 * @property int[]      $TireIds
 * @property bool       $PriceRabatePolicy  Ako je ovo true, cijene će se tražiti u rabatnim politikama (za veleprodaju).
 */
final class GetProductPriceQuery extends AbstractQuery
{ }
