<?php
namespace Inti\Gath\Api\Query;

/**
 * Pretražuje stanja zaliha za proizvode.
 *
 * @package Inti\Gath\Api\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property string[]   $Codes              Array šifri proizvoda.
 * @property int[]      $TireIds
 * @property bool       $StockByWarehouses  Ako je ovo true, stanja zaliha će biti razvrstana
 *                                          po webshop aktivnim poslovnim jedinicama.
 */
final class GetProductStockQuery extends AbstractQuery
{ }
