<?php
namespace Inti\Gath\Api\Record;

/**
 * Cijena proizvoda na akciji ili s nekakvim drugim popustom.
 *
 * @package Inti\Gath\Api\Record
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property float $Rate                Primjenjeni popust u postocima.
 * @property float $OriginalRetail      Cijena proizvoda bez popusta, s porezom.
 * @property float $NewRetail           Cijena proizvoda s popustom, s porezom.
 * @property float $OriginalWholesale   Cijena proizvoda bez popusta, bez poreza.
 * @property float $NewWholesale        Cijena proizvoda s popustom, bez poreza.
 */
final class ProductPriceDiscountRecord extends AbstractRecord
{ }
