<?php
namespace Inti\Gath\Api\Record;

/**
 * Cijena proizvoda na koju je primjenjena rabatna politika.
 *
 * @package Inti\Gath\Api\Record
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property float $PriceWholesale          Veleprodajna cijena bez rabata.
 * @property float $PriceWholesaleNetto     Ručno postavljena cijena. Ako postoji, koristi se.
 * @property float $Rate                    Primjenjeni rabat u postocima.
 * @property float $CalculatedNetto         Veleprodajna cijena umanjena za rabat.
 */
final class ProductPriceRabPolicyRecord extends AbstractRecord
{ }
