<?php
namespace Inti\Gath\Api\Record;

/**
 * Interface ProductRecord
 *
 * @package Inti\Gath\Api\Record
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 *
 * @property int                    $id                 DataLink proizvoda.
 * @property string                 $sku                Šifra proizvoda.
 * @property string                 $name               Naziv proizvoda.
 * @property string                 $date_modified      Datum zadnje promjene proizvoda.
 * @property string                 $description        Opis proizvoda.
 * @property bool                   $featured           Da li je ovaj proizvod istaknut?
 * @property int                    $wsbrandno          TecDoc brand ID.
 * @property string                 $wsartno            TecDoc article number.
 * @property ProductImageRecord[]   $Images
 * @property ProductBrandIdRecord[]   $Brands
 */
final class ProductRecord extends AbstractRecord
{ }
