<?php
namespace Inti\Gath\Api\Result;

use Inti\Gath\Api\Record\ProductCategoryRecord;

/**
 * Class GetProductCategoryResult
 *
 * @package Inti\Gath\Api\Result
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property ProductCategoryRecord $Result
 */
final class GetProductCategoryResult extends AbstractResult
{
    /** @var string */
    protected $recordClass = ProductCategoryRecord::class;

    /**
     * Konstruktor
     *
     * @param array $data
     */
    public function __construct(array $data)
    {
        $recordClass = $this->recordClass;
        $data['Result'] = new $recordClass($data['Result'] ?? []);

        parent::__construct($data);
    }
}
