<?php
namespace Inti\Gath\Api\Result;

use Inti\Gath\Api\Record\ProductStockRecord;

/**
 * Rezultat pozivanja 'GetProductStock' krajnje točke.
 *
 * @package Inti\Gath\Api\Result
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property ProductStockRecord[] $Results
 */
final class GetProductStockResult extends AbstractResult
{
    /** @var string */
    protected $recordClass = ProductStockRecord::class;
}
