<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Query\QueryInterface;
use Inti\Gath\Api\Result\ResultInterface;

/**
 * Krajnja točka Gathovog 'REST' servisa.
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 */
interface EndpointInterface
{
    /**
     * Poziva krajnju točku s datim upitom i vraća rezultat.
     *
     * @param QueryInterface|null $query
     * @return ResultInterface
     */
    public function call(QueryInterface $query = null): ResultInterface;
}
