<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Query\GetFeaturedProductsQuery;
use Inti\Gath\Api\Result\GetProductsResult;

/**
 * Class GetFeaturedProducts
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @method GetProductsResult call(GetFeaturedProductsQuery $query)
 */
final class GetFeaturedProducts extends GetProducts
{
    /** @var string */
    protected $path = 'products/featured';
}
