<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Result\GetMotoBrandsResult;

/**
 * Class GetMotoBrands
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @method GetMotoBrandsResult call()
 */
final class GetMotoBrands extends AbstractEndpoint
{
    /** @var string */
    protected $method = 'GET';
    /** @var string */
    protected $path = 'moto/brands';
    /** @var string */
    protected $resultClass = GetMotoBrandsResult::class;
}
