<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Query\GetMotoMotorcyclesQuery;
use Inti\Gath\Api\Result\GetMotoMotorcyclesResult;

/**
 * Class GetMotoMotorcycles
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @method GetMotoMotorcyclesResult call(GetMotoMotorcyclesQuery $query)
 */
abstract class GetMotoMotorcycles extends AbstractEndpoint
{
    /** @var string */
    protected $method = 'POST';
    /** @var string */
    protected $path = 'moto/motorcycles';
    /** @var string */
    protected $resultClass = GetMotoMotorcyclesResult::class;
}
