<?php
namespace Inti\Gath\Api\Endpoint;

use Inti\Gath\Api\Result\GetProductBrandsResult;

/**
 * Class GetProductBrands
 *
 * @package Inti\Gath\Api\Endpoint
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @method GetProductBrandsResult call()
 */
class GetProductBrands extends AbstractEndpoint
{
    /** @var string */
    protected $method = 'GET';
    /** @var string */
    protected $path = 'product/brands';
    /** @var string */
    protected $resultClass = GetProductBrandsResult::class;
}
