<?php
namespace Inti\Gath\Api\Query;

/**
 * Class GetProductsQuery
 *
 * @package Inti\Gath\Api\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property int    $Limit              Maksimalan broj vraćenih proizvoda.
 * @property int    $Offset
 * @property int    $OrderBy
 * @property bool   $SortNoStockLast    Ako je ovo true, proizvodi kojih nema na stanju će biti na dnu liste.
 */
abstract class GetProductsQuery extends AbstractQuery
{
    const SORT_DATE_DESC  = 1;
    const SORT_PRICE_ASC  = 2;
    const SORT_PRICE_DESC = 3;
    const SORT_STOCK_DESC = 4;
    const SORT_NAME_DESC  = 5;
    const SORT_NAME_ASC   = 6;
}
