<?php
namespace Inti\Gath\Api\Query;

/**
 * Class TecDocPair
 *
 * @package Inti\Gath\Api\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 */
final class TecDocPair
{
    /** @var int */
    public $BrandNo;
    /** @var string */
    public $ArticleNo;

    /**
     * Konstruktor.
     *
     * @param int $BrandNo
     * @param string $ArticleNo
     */
    public function __construct(int $BrandNo, string $ArticleNo)
    {
        $this->BrandNo = $BrandNo;
        $this->ArticleNo = $ArticleNo;
    }
}
