<?php
namespace Inti\Gath\Api\Record;

/**
 * Podaci o stanju zalihe proizvoda.
 *
 * @package Inti\Gath\Api\Record
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property int    $ProductId      DataLink proizvoda.
 * @property string $ProductCode    Šifra proizvoda.
 * @property int    $PurchaseStep   Ovaj proizvod je moguče kupiti po ovoliko komada.
 * @property int    $Stock          Ukupno stanje zalihe.
 * @property int    $Stock_01       Stanje zalihe za skladište. Ovaj broj je šifra poslovne jedinice.
 */
final class ProductStockRecord extends AbstractRecord
{ }
