<?php
namespace Inti\Gath\Api\Result;

use Inti\Gath\Api\Record\ProductPriceRecord;

/**
 * Rezultat pozivanja 'GetProductPrice' krajnje točke.
 *
 * @package Inti\Gath\Api\Result
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 *
 * @property ProductPriceRecord[] $Results
 */
final class GetProductPriceResult extends AbstractResult
{
    /** @var string */
    protected $recordClass = ProductPriceRecord::class;
}
