<?php
namespace IntiTest\Gath\Api\Record;

use Inti\Gath\Api\Record\ProductStockRecord;
use PHPUnit\Framework\TestCase;

/**
 * Class ProductStockRecordTest
 *
 * @package IntiTest\Gath\Api\Record
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath-api
 */
final class ProductStockRecordTest extends TestCase
{
    public function testCanHydrateViaConstructor()
    {
        $productStock = new ProductStockRecord([
            'ProductId' => 8,
            'ProductCode' => 'PROD01',
            'PurchaseStep' => 2,
            'Stock' => 30,
        ]);

        $this->assertEquals(8, $productStock->ProductId);
        $this->assertEquals('PROD01', $productStock->ProductCode);
        $this->assertEquals(2, $productStock->PurchaseStep);
        $this->assertEquals(30, $productStock->Stock);
    }
}
